rte_mempool_mem_range_info(3)

NAME
rte_mempool_mem_range_info

SYNOPSIS

#include <rte_mempool.h>

  Data Fields

void * start
size_t length
bool is_contiguous

Detailed Description

A structure used to retrieve information about the memory range of the mempool.

Definition at line 1935 of file rte_mempool.h.

Field Documentation

  void* start
Start of the memory range used by mempool objects

Definition at line 1937 of file rte_mempool.h.

  size_t length
Length of the memory range used by mempool objects

Definition at line 1939 of file rte_mempool.h.

  bool is_contiguous
Are all memory addresses used by mempool objects contiguous

Definition at line 1941 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.